No loading animation when editing a section deep down a page
Closed, ResolvedPublic

Description

For example, try clicking [edit] at [[Glossary of chess#G]]. The text just goes gray, there is no indication that anything is happening.

This is because the progress indicator always appears at the top of the page.


Version: unspecified
Severity: normal
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=53217

bzimport added a project: VisualEditor-MediaWiki.Via ConduitNov 22 2014, 2:05 AM
bzimport set Reference to bz50206.
TTO created this task.Via LegacyJun 26 2013, 1:23 AM
Jdforrester-WMF added a comment.Via ConduitJun 26 2013, 3:27 AM

Argh, missed this one in the bunch of other fixes; sorry. Thanks for the spot!

matmarex added a comment.Via ConduitSep 17 2013, 4:51 PM
  • Bug 51785 has been marked as a duplicate of this bug. ***
Jdforrester-WMF added a comment.Via ConduitNov 25 2013, 1:58 PM
  • Bug 51830 has been marked as a duplicate of this bug. ***
Krenair added a comment.Via ConduitFeb 3 2014, 2:57 AM

So we just want to fix the loading bar at a certain position on the screen?

I'm thinking of something like this in modules/ve-mw/init/styles/ve.init.mw.ViewPageTarget.css under ".ve-init-mw-viewPageTarget-loading {":

  • float: right;

+ position: fixed;
+ right: 5%;
+ top: 16%;

Esanders added a comment.Via ConduitFeb 5 2014, 11:26 PM

Seems reasonable, although we might want to make it stand out against non-flat-white backgrounds.

Jdforrester-WMF added a comment.Via ConduitFeb 5 2014, 11:46 PM

(In reply to comment #5)

Seems reasonable, although we might want to make it stand out against
non-flat-white backgrounds.

Put it in with a pure-white background with a 2px margin, then? Maybe Trevor has a view re. design?

Krenair added a comment.Via ConduitFeb 6 2014, 8:47 PM

(In reply to comment #6)

(In reply to comment #5)
> Seems reasonable, although we might want to make it stand out against
> non-flat-white backgrounds.

Put it in with a pure-white background with a 2px margin, then? Maybe Trevor
has a view re. design?

I tried this but it still appeared over the top of text. :/

Jdforrester-WMF moved this task to Backlog on the VisualEditor workboard.Via WebNov 24 2014, 4:22 PM
Liuxinyu970226 added a subscriber: Liuxinyu970226.Via WebFeb 14 2015, 2:39 AM
awight added a comment.Via WebMar 4 2015, 10:55 PM

I've merged in two related bug reports--please note that these bugs bring up an additional usability issue. If the GUI is not disabled during load, the editor can end up in an annoying situation, such as manually scrolling to the section to edit, then having their work bumped off the page by the onLoad scroll action.

Jdforrester-WMF changed the title from "VisualEditor: No loading animation when editing a section deep down a page" to "No loading animation when editing a section deep down a page".Via WebMar 16 2015, 4:36 PM
Jdforrester-WMF assigned this task to Esanders.
Jdforrester-WMF set Security to None.
gerritbot added a subscriber: gerritbot.Via ConduitMar 20 2015, 8:08 PM

Change 196583 had a related patch set uploaded (by Trevor Parscal):
Make loading progress bar determinate

https://gerrit.wikimedia.org/r/196583

gerritbot added a project: Patch-For-Review.Via ConduitMar 20 2015, 8:08 PM
Jdforrester-WMF closed this task as "Resolved".Via WebMar 20 2015, 8:10 PM
Jdforrester-WMF set Story Points to 8.
Jdforrester-WMF moved this task to Done on the VisualEditor 2014/15 Q3 blockers workboard.
gerritbot added a comment.Via ConduitMar 20 2015, 8:15 PM

Change 196583 merged by jenkins-bot:
Make loading progress bar determinate

https://gerrit.wikimedia.org/r/196583

Liuxinyu970226 removed a subscriber: Liuxinyu970226.Via WebMar 21 2015, 4:16 AM

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.